Loading...
Searching...
No Matches
mce::io::VirtualFileSystem::Config Struct Reference

Configuration for how the VirtualFileSystem should operate. More...

`#include <VirtualFileSystem.hpp>`

## Public Attributes

bool | useStreamInput = false
FileBinaryType | fileType = FileBinaryType::NONE
Version | version = { 0 }

## Detailed Description

Configuration for how the VirtualFileSystem should operate.

## Member Data Documentation

## fileType

FileBinaryType mce::io::VirtualFileSystem::Config::fileType = FileBinaryType::NONE

Type of stored file collection.

## useStreamInput

bool mce::io::VirtualFileSystem::Config::useStreamInput = false

If true, files are accessed via streams; otherwise VFS binary may be used in-memory.

## version

Version mce::io::VirtualFileSystem::Config::version = { 0 }

Version of the VFS format to expect.

The documentation for this struct was generated from the following file:

- Minecraft-Community-Edition/IO/VirtualFileSystem.hpp